import { Vue } from 'vue-class-component';
import QRCodeStyling from './core/QRCodeStyling';
import { Gradient } from './core/QROptions';
import { CornerDotType, CornerSquareType, DotType, ErrorCorrectionLevel, Mode, TypeNumber } from './types';
export default class QRCode extends Vue {
    value: string;
    width: number;
    height: number;
    margin: number;
    imgclass: string;
    downloadButton: string;
    myclass: string;
    qrOptions: {
        typeNumber?: TypeNumber;
        mode?: Mode;
        errorCorrectionLevel?: ErrorCorrectionLevel;
    };
    imageOptions: {
        hideBackgroundDots: boolean;
        imageSize: number;
        crossOrigin?: string;
        margin: number;
    };
    dotsOptions: {
        type: DotType;
        color: string;
        gradient?: Gradient;
    };
    backgroundOptions: {
        color: string;
        gradient?: Gradient;
    };
    imageIconUrl: string;
    cornersSquareOptions: {
        type?: CornerSquareType;
        color?: string;
        gradient?: Gradient;
    };
    cornersDotOptions: {
        type?: CornerDotType;
        color?: string;
        gradient?: Gradient;
    };
    fileExt: string;
    imageUrl: string;
    image: string;
    qrCode: QRCodeStyling | undefined;
    mounted(): void;
    urlToDataUri(url: string | undefined): Promise<string | ArrayBuffer | null>;
}
